New iPhone and 3.1

Discussion in 'iPhone' started by jimmybond, Sep 17, 2009.

  1. jimmybond macrumors newbie

    Joined:
    Sep 17, 2009
    #1
    Can anyone confirm whether the Genius bar just activate your iphone or whether they force the 3.1 upgrade as well?

    Thanks.
     
  2. patrickdunn macrumors 6502a

    patrickdunn

    Joined:
    Apr 16, 2009
    Location:
    St. Louis, MO
    #2
    At this point, your new iPhone will probably have 3.1.
     
  3. WeegieMac Guest

    WeegieMac

    Joined:
    Jan 29, 2008
    Location:
    Glasgow, UK
    #3
    From what I was told when I asked this very question a few days ago now, your new iPhone will be fine even with 3.1 because it's an untouched device with no "history" of data or apps so there should be no need to worry about the lock up's, etc.

    When I pick up an 8GB 3G next Wednesday I'm going to ask the Genius staff to upgrade to 3.1 if the iPhone I receive is not packing 3.1 out the box.
     
  4. jav6454 macrumors P6

    jav6454

    Joined:
    Nov 14, 2007
    Location:
    1 Geostationary Tower Plaza
    #4
    By now if your new phone doesn't have 3.1.0 on it, the Genius bar will update it, so you'll be getting 3.1.0 regardless.

    Also, any specific reason why you want 3.0.0 or 3.0.1 on it rather than 3.1.0?
     
  5. jimmybond thread starter macrumors newbie

    Joined:
    Sep 17, 2009
    #5
    3.1 cant be jailbreaked or unlocked. If they only activate it, there's chance it may have 3.01.on it. But I cant remember whether they upgrade as well as activate. If they do upgrade (or even if it's prebundled now) that's no good.
     
  6. jav6454 macrumors P6

    jav6454

    Joined:
    Nov 14, 2007
    Location:
    1 Geostationary Tower Plaza
    #6
    Very true. I would recommend you tell the Genius you are in a hurry and need your iPhone just activated and that you'll either:

    1. Come back later
    2. Do whatever is left on your own

    It's polite and raises no flags.
     
  7. jimmybond thread starter macrumors newbie

    Joined:
    Sep 17, 2009
    #7
    Thanks. No I just need to think of a fake iphone illnes :)
     
  8. jav6454 macrumors P6

    jav6454

    Joined:
    Nov 14, 2007
    Location:
    1 Geostationary Tower Plaza
    #8
    Um, here some reasons:D

    A. Your wife is out on x Store waiting for your CC at the counter.
    B. You are your lunch break and only have few minutes to get back
    C. Kids called from school
    D. Mom just called, she needs help with something
    E. You are on-the-go to x event and are running on tight schedule.
     
  9. jimmybond thread starter macrumors newbie

    Joined:
    Sep 17, 2009
    #9
    I got that bit! I'm talking about the phone. There's nothing wrong with it!! (apart from me accidentally upgrading to 3.1) Can hardly tell them that!
     
  10. Goodeye macrumors 6502a

    Goodeye

    Joined:
    Jan 30, 2009
    #10
    When I got my replacement last week it had 3.0.1 on it. Was happy to see that.

    But for sake of curiosity I updated it to 3.1 and have had no issues, (while my month old iPhone had issues with the 3.1 update)
     
  11. jsimpson macrumors regular

    jsimpson

    Joined:
    Dec 30, 2006
    #11
    I had to get my 3GS replaced yesterday for a faulty battery and it had 3.0.1
     
  12. ccampani macrumors newbie

    Joined:
    Sep 17, 2009
    #12
    I got my black 32GB iPhone 1h ago at ATT and it still contains 3.0.1.
    Because they can not check the firmware before buying, I tried the 32GB. This one was older (longer on stock).

    ...I would still say hurry up!
     
  13. jimmybond thread starter macrumors newbie

    Joined:
    Sep 17, 2009
    #13
    Ok, I now have 3.01. Will Redsnow work? I dont want to get this wrong but when I browse for the IPSW file and navigate through to app data/roaming/apple etc the IPSW file is 3.1 (7C144) which does not reflect what my iphone says in settings/about. Do I select this IPSW file?
     
  14. jimmybond thread starter macrumors newbie

    Joined:
    Sep 17, 2009
    #14
    Someone please?

    I actually have 3.0 (7A341). JB loads of times but nervous now. Cant let the phone go in to accidental' restore otherwise it's game over and I'm left with 3.1. I have 3.0 and 3.0.1 IPSW on my desktop, which one shall I use with Redsn0w? Or shall I use PurpleraIn.

    Thanks!
     
  15. jav6454 macrumors P6

    jav6454

    Joined:
    Nov 14, 2007
    Location:
    1 Geostationary Tower Plaza
    #15
    Use redsn0w. Just select 3.0.0 as firmware and that's it. You will be jailbroken.

    Btw you can use iTunes via option+click to upgrade to 3.0.1 and have SMS bug patched. To jailbreak 3.0.1 just use 3.0.0 on redsn0w. Don't worry that's how you jailbreak 3.0.1 on the 3GS.

    However if anything goes wrong (like a restores is needed), keep restoring using option+click to 3.0.1 because if you don't you will get 3.1.0.
     
  16. jimmybond thread starter macrumors newbie

    Joined:
    Sep 17, 2009
    #16
    Ok, it's jailbroken. Heart in mouth stuff...

    Now - it's gone tits up from here. I use the Ultrasn0w unlock code (many times successful) but last time, it unlocked it but the emergency screen came up saying SIM not recognised. I had to restore the phone and guess what 3.1. That's how this whole silly saga started. What did I do wrong?

    Also, I've seen this ECID back up thing. Should I?
     
  17. jav6454 macrumors P6

    jav6454

    Joined:
    Nov 14, 2007
    Location:
    1 Geostationary Tower Plaza
    #17
    Yes, ECID is now looking very useful to jailbreak the 3GS at this point.
     
  18. WeegieMac Guest

    WeegieMac

    Joined:
    Jan 29, 2008
    Location:
    Glasgow, UK
    #18
    Not to sound the cynic, but what you did wrong was Jailbreak it.

    I know it's popular, but honestly the iPhone is a great enough device without this in my opinion and messing around with Firmware, especially with 3.1 only just released, is only asking for trouble.

    Obviously when you restore the iPhone it installs the latest firmware, which is why you're now on 3.1, and given all the issues with 3.1 we've been hearing you should have perhaps just be grateful to have an iPhone with 3.0 that has no issues, whereas now you're stuck with an iPhone with an attempted Jailbreak on it's log and 3.1.
     
  19. jimmybond thread starter macrumors newbie

    Joined:
    Sep 17, 2009
    #19
    Thanks for that. I'm on 3.0 with jailbreak.

    If anyone can help me with the unlock. As I said above, the last time i tried this, it unlocked but got stuck on the emergency page and I had to restore. I dont want that happening again!
     
  20. WeegieMac Guest

    WeegieMac

    Joined:
    Jan 29, 2008
    Location:
    Glasgow, UK
    #20
    Being honest though, looking at this whole 3.1 thing, it's a massive farce being honest. Either Apple have released a firmware with some serious issues affecting some iPhones and are having trouble pinpointing the cause (thus the delay in a fix), or they deem the amount of iPhone affected to be "collateral damage" and their owners will be dealt with on a one-to-one basis by the Genius Bar and their iPhone's exchanged accordingly.

    I'm actually going to ask the member of staff at the Apple store here in Glasgow to get me older stock with 3.0 when I pick up an 8GB 3G on Wednesday ... I've waited a long time to own an iPhone, and I don't want the experience tainted by dodgy firmware updates and endless returns to the Genius Bar.
     

Share This Page